﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Algorithms.BinarySearchTree.Serialize.Model
{
    /// <summary>
    /// Duplikált kulcs kivételének típusa.
    /// </summary>
    public class DuplicateKeyException : Exception
    {
        public DuplicateKeyException() : base("Key already in tree!") { }
    }
    /// <summary>
    /// Hiányzó kulcs kivételének típusa.
    /// </summary>
    public class KeyMissingException : Exception
    {
        public KeyMissingException() : base("Key not found!") { }
    }
    /// <summary>
    /// Üres fa kivételének típusa.
    /// </summary>
    public class TreeIsEmptyException : Exception
    {
        public TreeIsEmptyException() : base("The tree is empty!") { }
    }
}
