﻿using System;
using System.Drawing;

namespace ELTE.Algorithms.BinarySearchTree.Serialize.View
{
    /// <summary>
    /// Kirajzolható típusok interfésze.
    /// </summary>
    public interface IDrawable
    {
        /// <summary>
        /// Kirajzolás.
        /// </summary>
        /// <param name="gr">Rajzobjektum, amivel rajzolunk.</param>
        /// <param name="width">A szélesség, amelyben rajzolunk.</param>
        void Draw(Graphics gr, Int32 width);
    }
}
